<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.harmonic.mapper.RMpHarmonicIRateReportDMapper">

    <resultMap id="BaseResultMap" type="com.njcn.harmonic.pojo.po.RMpHarmonicIRateReportD">
            <id property="measurementPointId" column="measurement_point_id" jdbcType="VARCHAR"/>
            <id property="dataDate" column="data_date" jdbcType="DATE"/>
            <id property="phase" column="phase" jdbcType="VARCHAR"/>
            <result property="i2Max" column="i_2_max" jdbcType="FLOAT"/>
            <result property="i2Min" column="i_2_min" jdbcType="FLOAT"/>
            <result property="i2Avg" column="i_2_avg" jdbcType="FLOAT"/>
            <result property="i2Cp95" column="i_2_cp95" jdbcType="FLOAT"/>
            <result property="i3Max" column="i_3_max" jdbcType="FLOAT"/>
            <result property="i3Min" column="i_3_min" jdbcType="FLOAT"/>
            <result property="i3Avg" column="i_3_avg" jdbcType="FLOAT"/>
            <result property="i3Cp95" column="i_3_cp95" jdbcType="FLOAT"/>
            <result property="i4Max" column="i_4_max" jdbcType="FLOAT"/>
            <result property="i4Min" column="i_4_min" jdbcType="FLOAT"/>
            <result property="i4Avg" column="i_4_avg" jdbcType="FLOAT"/>
            <result property="i4Cp95" column="i_4_cp95" jdbcType="FLOAT"/>
            <result property="i5Max" column="i_5_max" jdbcType="FLOAT"/>
            <result property="i5Min" column="i_5_min" jdbcType="FLOAT"/>
            <result property="i5Avg" column="i_5_avg" jdbcType="FLOAT"/>
            <result property="i5Cp95" column="i_5_cp95" jdbcType="FLOAT"/>
            <result property="i6Max" column="i_6_max" jdbcType="FLOAT"/>
            <result property="i6Min" column="i_6_min" jdbcType="FLOAT"/>
            <result property="i6Avg" column="i_6_avg" jdbcType="FLOAT"/>
            <result property="i6Cp95" column="i_6_cp95" jdbcType="FLOAT"/>
            <result property="i7Max" column="i_7_max" jdbcType="FLOAT"/>
            <result property="i7Min" column="i_7_min" jdbcType="FLOAT"/>
            <result property="i7Avg" column="i_7_avg" jdbcType="FLOAT"/>
            <result property="i7Cp95" column="i_7_cp95" jdbcType="FLOAT"/>
            <result property="i8Max" column="i_8_max" jdbcType="FLOAT"/>
            <result property="i8Min" column="i_8_min" jdbcType="FLOAT"/>
            <result property="i8Avg" column="i_8_avg" jdbcType="FLOAT"/>
            <result property="i8Cp95" column="i_8_cp95" jdbcType="FLOAT"/>
            <result property="i9Max" column="i_9_max" jdbcType="FLOAT"/>
            <result property="i9Min" column="i_9_min" jdbcType="FLOAT"/>
            <result property="i9Avg" column="i_9_avg" jdbcType="FLOAT"/>
            <result property="i9Cp95" column="i_9_cp95" jdbcType="FLOAT"/>
            <result property="i10Max" column="i_10_max" jdbcType="FLOAT"/>
            <result property="i10Min" column="i_10_min" jdbcType="FLOAT"/>
            <result property="i10Avg" column="i_10_avg" jdbcType="FLOAT"/>
            <result property="i10Cp95" column="i_10_cp95" jdbcType="FLOAT"/>
            <result property="i11Max" column="i_11_max" jdbcType="FLOAT"/>
            <result property="i11Min" column="i_11_min" jdbcType="FLOAT"/>
            <result property="i11Avg" column="i_11_avg" jdbcType="FLOAT"/>
            <result property="i11Cp95" column="i_11_cp95" jdbcType="FLOAT"/>
            <result property="i12Max" column="i_12_max" jdbcType="FLOAT"/>
            <result property="i12Min" column="i_12_min" jdbcType="FLOAT"/>
            <result property="i12Avg" column="i_12_avg" jdbcType="FLOAT"/>
            <result property="i12Cp95" column="i_12_cp95" jdbcType="FLOAT"/>
            <result property="i13Max" column="i_13_max" jdbcType="FLOAT"/>
            <result property="i13Min" column="i_13_min" jdbcType="FLOAT"/>
            <result property="i13Avg" column="i_13_avg" jdbcType="FLOAT"/>
            <result property="i13Cp95" column="i_13_cp95" jdbcType="FLOAT"/>
            <result property="i14Max" column="i_14_max" jdbcType="FLOAT"/>
            <result property="i14Min" column="i_14_min" jdbcType="FLOAT"/>
            <result property="i14Avg" column="i_14_avg" jdbcType="FLOAT"/>
            <result property="i14Cp95" column="i_14_cp95" jdbcType="FLOAT"/>
            <result property="i15Max" column="i_15_max" jdbcType="FLOAT"/>
            <result property="i15Min" column="i_15_min" jdbcType="FLOAT"/>
            <result property="i15Avg" column="i_15_avg" jdbcType="FLOAT"/>
            <result property="i15Cp95" column="i_15_cp95" jdbcType="FLOAT"/>
            <result property="i16Max" column="i_16_max" jdbcType="FLOAT"/>
            <result property="i16Min" column="i_16_min" jdbcType="FLOAT"/>
            <result property="i16Avg" column="i_16_avg" jdbcType="FLOAT"/>
            <result property="i16Cp95" column="i_16_cp95" jdbcType="FLOAT"/>
            <result property="i17Max" column="i_17_max" jdbcType="FLOAT"/>
            <result property="i17Min" column="i_17_min" jdbcType="FLOAT"/>
            <result property="i17Avg" column="i_17_avg" jdbcType="FLOAT"/>
            <result property="i17Cp95" column="i_17_cp95" jdbcType="FLOAT"/>
            <result property="i18Max" column="i_18_max" jdbcType="FLOAT"/>
            <result property="i18Min" column="i_18_min" jdbcType="FLOAT"/>
            <result property="i18Avg" column="i_18_avg" jdbcType="FLOAT"/>
            <result property="i18Cp95" column="i_18_cp95" jdbcType="FLOAT"/>
            <result property="i19Max" column="i_19_max" jdbcType="FLOAT"/>
            <result property="i19Min" column="i_19_min" jdbcType="FLOAT"/>
            <result property="i19Avg" column="i_19_avg" jdbcType="FLOAT"/>
            <result property="i19Cp95" column="i_19_cp95" jdbcType="FLOAT"/>
            <result property="i20Max" column="i_20_max" jdbcType="FLOAT"/>
            <result property="i20Min" column="i_20_min" jdbcType="FLOAT"/>
            <result property="i20Avg" column="i_20_avg" jdbcType="FLOAT"/>
            <result property="i20Cp95" column="i_20_cp95" jdbcType="FLOAT"/>
            <result property="i21Max" column="i_21_max" jdbcType="FLOAT"/>
            <result property="i21Min" column="i_21_min" jdbcType="FLOAT"/>
            <result property="i21Avg" column="i_21_avg" jdbcType="FLOAT"/>
            <result property="i21Cp95" column="i_21_cp95" jdbcType="FLOAT"/>
            <result property="i22Max" column="i_22_max" jdbcType="FLOAT"/>
            <result property="i22Min" column="i_22_min" jdbcType="FLOAT"/>
            <result property="i22Avg" column="i_22_avg" jdbcType="FLOAT"/>
            <result property="i22Cp95" column="i_22_cp95" jdbcType="FLOAT"/>
            <result property="i23Max" column="i_23_max" jdbcType="FLOAT"/>
            <result property="i23Min" column="i_23_min" jdbcType="FLOAT"/>
            <result property="i23Avg" column="i_23_avg" jdbcType="FLOAT"/>
            <result property="i23Cp95" column="i_23_cp95" jdbcType="FLOAT"/>
            <result property="i24Max" column="i_24_max" jdbcType="FLOAT"/>
            <result property="i24Min" column="i_24_min" jdbcType="FLOAT"/>
            <result property="i24Avg" column="i_24_avg" jdbcType="FLOAT"/>
            <result property="i24Cp95" column="i_24_cp95" jdbcType="FLOAT"/>
            <result property="i25Max" column="i_25_max" jdbcType="FLOAT"/>
            <result property="i25Min" column="i_25_min" jdbcType="FLOAT"/>
            <result property="i25Avg" column="i_25_avg" jdbcType="FLOAT"/>
            <result property="i25Cp95" column="i_25_cp95" jdbcType="FLOAT"/>
            <result property="i26Max" column="i_26_max" jdbcType="FLOAT"/>
            <result property="i26Min" column="i_26_min" jdbcType="FLOAT"/>
            <result property="i26Avg" column="i_26_avg" jdbcType="FLOAT"/>
            <result property="i26Cp95" column="i_26_cp95" jdbcType="FLOAT"/>
            <result property="i27Max" column="i_27_max" jdbcType="FLOAT"/>
            <result property="i27Min" column="i_27_min" jdbcType="FLOAT"/>
            <result property="i27Avg" column="i_27_avg" jdbcType="FLOAT"/>
            <result property="i27Cp95" column="i_27_cp95" jdbcType="FLOAT"/>
            <result property="i28Max" column="i_28_max" jdbcType="FLOAT"/>
            <result property="i28Min" column="i_28_min" jdbcType="FLOAT"/>
            <result property="i28Avg" column="i_28_avg" jdbcType="FLOAT"/>
            <result property="i28Cp95" column="i_28_cp95" jdbcType="FLOAT"/>
            <result property="i29Max" column="i_29_max" jdbcType="FLOAT"/>
            <result property="i29Min" column="i_29_min" jdbcType="FLOAT"/>
            <result property="i29Avg" column="i_29_avg" jdbcType="FLOAT"/>
            <result property="i29Cp95" column="i_29_cp95" jdbcType="FLOAT"/>
            <result property="i30Max" column="i_30_max" jdbcType="FLOAT"/>
            <result property="i30Min" column="i_30_min" jdbcType="FLOAT"/>
            <result property="i30Avg" column="i_30_avg" jdbcType="FLOAT"/>
            <result property="i30Cp95" column="i_30_cp95" jdbcType="FLOAT"/>
            <result property="i31Max" column="i_31_max" jdbcType="FLOAT"/>
            <result property="i31Min" column="i_31_min" jdbcType="FLOAT"/>
            <result property="i31Avg" column="i_31_avg" jdbcType="FLOAT"/>
            <result property="i31Cp95" column="i_31_cp95" jdbcType="FLOAT"/>
            <result property="i32Max" column="i_32_max" jdbcType="FLOAT"/>
            <result property="i32Min" column="i_32_min" jdbcType="FLOAT"/>
            <result property="i32Avg" column="i_32_avg" jdbcType="FLOAT"/>
            <result property="i32Cp95" column="i_32_cp95" jdbcType="FLOAT"/>
            <result property="i33Max" column="i_33_max" jdbcType="FLOAT"/>
            <result property="i33Min" column="i_33_min" jdbcType="FLOAT"/>
            <result property="i33Avg" column="i_33_avg" jdbcType="FLOAT"/>
            <result property="i33Cp95" column="i_33_cp95" jdbcType="FLOAT"/>
            <result property="i34Max" column="i_34_max" jdbcType="FLOAT"/>
            <result property="i34Min" column="i_34_min" jdbcType="FLOAT"/>
            <result property="i34Avg" column="i_34_avg" jdbcType="FLOAT"/>
            <result property="i34Cp95" column="i_34_cp95" jdbcType="FLOAT"/>
            <result property="i35Max" column="i_35_max" jdbcType="FLOAT"/>
            <result property="i35Min" column="i_35_min" jdbcType="FLOAT"/>
            <result property="i35Avg" column="i_35_avg" jdbcType="FLOAT"/>
            <result property="i35Cp95" column="i_35_cp95" jdbcType="FLOAT"/>
            <result property="i36Max" column="i_36_max" jdbcType="FLOAT"/>
            <result property="i36Min" column="i_36_min" jdbcType="FLOAT"/>
            <result property="i36Avg" column="i_36_avg" jdbcType="FLOAT"/>
            <result property="i36Cp95" column="i_36_cp95" jdbcType="FLOAT"/>
            <result property="i37Max" column="i_37_max" jdbcType="FLOAT"/>
            <result property="i37Min" column="i_37_min" jdbcType="FLOAT"/>
            <result property="i37Avg" column="i_37_avg" jdbcType="FLOAT"/>
            <result property="i37Cp95" column="i_37_cp95" jdbcType="FLOAT"/>
            <result property="i38Max" column="i_38_max" jdbcType="FLOAT"/>
            <result property="i38Min" column="i_38_min" jdbcType="FLOAT"/>
            <result property="i38Avg" column="i_38_avg" jdbcType="FLOAT"/>
            <result property="i38Cp95" column="i_38_cp95" jdbcType="FLOAT"/>
            <result property="i39Max" column="i_39_max" jdbcType="FLOAT"/>
            <result property="i39Min" column="i_39_min" jdbcType="FLOAT"/>
            <result property="i39Avg" column="i_39_avg" jdbcType="FLOAT"/>
            <result property="i39Cp95" column="i_39_cp95" jdbcType="FLOAT"/>
            <result property="i40Max" column="i_40_max" jdbcType="FLOAT"/>
            <result property="i40Min" column="i_40_min" jdbcType="FLOAT"/>
            <result property="i40Avg" column="i_40_avg" jdbcType="FLOAT"/>
            <result property="i40Cp95" column="i_40_cp95" jdbcType="FLOAT"/>
            <result property="i41Max" column="i_41_max" jdbcType="FLOAT"/>
            <result property="i41Min" column="i_41_min" jdbcType="FLOAT"/>
            <result property="i41Avg" column="i_41_avg" jdbcType="FLOAT"/>
            <result property="i41Cp95" column="i_41_cp95" jdbcType="FLOAT"/>
            <result property="i42Max" column="i_42_max" jdbcType="FLOAT"/>
            <result property="i42Min" column="i_42_min" jdbcType="FLOAT"/>
            <result property="i42Avg" column="i_42_avg" jdbcType="FLOAT"/>
            <result property="i42Cp95" column="i_42_cp95" jdbcType="FLOAT"/>
            <result property="i43Max" column="i_43_max" jdbcType="FLOAT"/>
            <result property="i43Min" column="i_43_min" jdbcType="FLOAT"/>
            <result property="i43Avg" column="i_43_avg" jdbcType="FLOAT"/>
            <result property="i43Cp95" column="i_43_cp95" jdbcType="FLOAT"/>
            <result property="i44Max" column="i_44_max" jdbcType="FLOAT"/>
            <result property="i44Min" column="i_44_min" jdbcType="FLOAT"/>
            <result property="i44Avg" column="i_44_avg" jdbcType="FLOAT"/>
            <result property="i44Cp95" column="i_44_cp95" jdbcType="FLOAT"/>
            <result property="i45Max" column="i_45_max" jdbcType="FLOAT"/>
            <result property="i45Min" column="i_45_min" jdbcType="FLOAT"/>
            <result property="i45Avg" column="i_45_avg" jdbcType="FLOAT"/>
            <result property="i45Cp95" column="i_45_cp95" jdbcType="FLOAT"/>
            <result property="i46Max" column="i_46_max" jdbcType="FLOAT"/>
            <result property="i46Min" column="i_46_min" jdbcType="FLOAT"/>
            <result property="i46Avg" column="i_46_avg" jdbcType="FLOAT"/>
            <result property="i46Cp95" column="i_46_cp95" jdbcType="FLOAT"/>
            <result property="i47Max" column="i_47_max" jdbcType="FLOAT"/>
            <result property="i47Min" column="i_47_min" jdbcType="FLOAT"/>
            <result property="i47Avg" column="i_47_avg" jdbcType="FLOAT"/>
            <result property="i47Cp95" column="i_47_cp95" jdbcType="FLOAT"/>
            <result property="i48Max" column="i_48_max" jdbcType="FLOAT"/>
            <result property="i48Min" column="i_48_min" jdbcType="FLOAT"/>
            <result property="i48Avg" column="i_48_avg" jdbcType="FLOAT"/>
            <result property="i48Cp95" column="i_48_cp95" jdbcType="FLOAT"/>
            <result property="i49Max" column="i_49_max" jdbcType="FLOAT"/>
            <result property="i49Min" column="i_49_min" jdbcType="FLOAT"/>
            <result property="i49Avg" column="i_49_avg" jdbcType="FLOAT"/>
            <result property="i49Cp95" column="i_49_cp95" jdbcType="FLOAT"/>
            <result property="i50Max" column="i_50_max" jdbcType="FLOAT"/>
            <result property="i50Min" column="i_50_min" jdbcType="FLOAT"/>
            <result property="i50Avg" column="i_50_avg" jdbcType="FLOAT"/>
            <result property="i50Cp95" column="i_50_cp95" jdbcType="FLOAT"/>
    </resultMap>

    <sql id="Base_Column_List">
        measurement_point_id,data_date,phase,
        i_2_max,i_2_min,i_2_avg,
        i_2_cp95,i_3_max,i_3_min,
        i_3_avg,i_3_cp95,i_4_max,
        i_4_min,i_4_avg,i_4_cp95,
        i_5_max,i_5_min,i_5_avg,
        i_5_cp95,i_6_max,i_6_min,
        i_6_avg,i_6_cp95,i_7_max,
        i_7_min,i_7_avg,i_7_cp95,
        i_8_max,i_8_min,i_8_avg,
        i_8_cp95,i_9_max,i_9_min,
        i_9_avg,i_9_cp95,i_10_max,
        i_10_min,i_10_avg,i_10_cp95,
        i_11_max,i_11_min,i_11_avg,
        i_11_cp95,i_12_max,i_12_min,
        i_12_avg,i_12_cp95,i_13_max,
        i_13_min,i_13_avg,i_13_cp95,
        i_14_max,i_14_min,i_14_avg,
        i_14_cp95,i_15_max,i_15_min,
        i_15_avg,i_15_cp95,i_16_max,
        i_16_min,i_16_avg,i_16_cp95,
        i_17_max,i_17_min,i_17_avg,
        i_17_cp95,i_18_max,i_18_min,
        i_18_avg,i_18_cp95,i_19_max,
        i_19_min,i_19_avg,i_19_cp95,
        i_20_max,i_20_min,i_20_avg,
        i_20_cp95,i_21_max,i_21_min,
        i_21_avg,i_21_cp95,i_22_max,
        i_22_min,i_22_avg,i_22_cp95,
        i_23_max,i_23_min,i_23_avg,
        i_23_cp95,i_24_max,i_24_min,
        i_24_avg,i_24_cp95,i_25_max,
        i_25_min,i_25_avg,i_25_cp95,
        i_26_max,i_26_min,i_26_avg,
        i_26_cp95,i_27_max,i_27_min,
        i_27_avg,i_27_cp95,i_28_max,
        i_28_min,i_28_avg,i_28_cp95,
        i_29_max,i_29_min,i_29_avg,
        i_29_cp95,i_30_max,i_30_min,
        i_30_avg,i_30_cp95,i_31_max,
        i_31_min,i_31_avg,i_31_cp95,
        i_32_max,i_32_min,i_32_avg,
        i_32_cp95,i_33_max,i_33_min,
        i_33_avg,i_33_cp95,i_34_max,
        i_34_min,i_34_avg,i_34_cp95,
        i_35_max,i_35_min,i_35_avg,
        i_35_cp95,i_36_max,i_36_min,
        i_36_avg,i_36_cp95,i_37_max,
        i_37_min,i_37_avg,i_37_cp95,
        i_38_max,i_38_min,i_38_avg,
        i_38_cp95,i_39_max,i_39_min,
        i_39_avg,i_39_cp95,i_40_max,
        i_40_min,i_40_avg,i_40_cp95,
        i_41_max,i_41_min,i_41_avg,
        i_41_cp95,i_42_max,i_42_min,
        i_42_avg,i_42_cp95,i_43_max,
        i_43_min,i_43_avg,i_43_cp95,
        i_44_max,i_44_min,i_44_avg,
        i_44_cp95,i_45_max,i_45_min,
        i_45_avg,i_45_cp95,i_46_max,
        i_46_min,i_46_avg,i_46_cp95,
        i_47_max,i_47_min,i_47_avg,
        i_47_cp95,i_48_max,i_48_min,
        i_48_avg,i_48_cp95,i_49_max,
        i_49_min,i_49_avg,i_49_cp95,
        i_50_max,i_50_min,i_50_avg,
        i_50_cp95
    </sql>
    <select id="getListByCond" resultType="com.njcn.harmonic.pojo.po.RMpHarmonicIRateReportD">
        select <include refid="Base_Column_List"/>
        from r_mp_harmonic_i_rate_report_d
        where 1 = 1
        <if test="startTime != null and startTime != ''">
            AND DATE_FORMAT(data_date, '%Y-%m-%d') >=  #{startTime, jdbcType=VARCHAR}
        </if>
        <if test="endTime != null and endTime != ''">
            AND DATE_FORMAT(data_date, '%Y-%m-%d') &lt;= #{endTime, jdbcType=VARCHAR}
        </if>
        and measurement_point_id IN
        <foreach collection="monitorIdList" open="(" close=")" separator="," item="id">
            #{id}
        </foreach>
    </select>

</mapper>
